=== debian/changelog ===
jed (1:0.99.19-8) unstable; urgency=medium

  * QA source-only upload
  * Update VCS URL
  * Remove deprecated autotools-dev

 -- Wookey <wookey@debian.org>  Fri, 01 Jan 2021 03:58:15 +0000

jed (1:0.99.19-7) unstable; urgency=medium

  * Ensure configure is really regenerated (Closes: #804083) 

 -- Wookey <wookey@debian.org>  Fri, 29 Jul 2016 03:31:09 +0000

jed (1:0.99.19-6) unstable; urgency=medium

  * Actually update config.{sub,guess} (Closes: # 832449)
  * Correct setting of Multiarch dir (Closes: #832450)
  * Solve termcap build issue (Closes: #804083)
  * Remove dh-autoreconf for now as it needs more work

 -- Wookey <wookey@debian.org>  Wed, 27 Jul 2016 04:24:03 +0100

jed (1:0.99.19-5) unstable; urgency=medium

  * Remove compiled .slc files on removal (Closes: #682453)
  * Document -e (mode-setting) option in manpage
  * Update standards-version 
  * Use dpkg-buildflags instead of hardening-wrapper
  * Ensure copyright file is in each binary package
  * Add build-arch/buld-indep targets (closes: #821996)
  * Switch from dpatch to "3.0 (quilt)"
  * Use dh_autoreconf to update configuery (Closes: #804083)
  * Update Uploaders list (Closes: #830131, #830131, #831557)
  * Use triggers for info installing (Closes: #611331)

 -- Wookey <wookey@debian.org>  Mon, 25 Jul 2016 01:51:23 +0100

jed (1:0.99.19-4) unstable; urgency=medium

  * Use 'linux-any' in control files instead of !list (Closes: 634298)

 -- Wookey <wookey@debian.org>  Fri, 31 Oct 2014 23:56:50 +0000

jed (1:0.99.19-3) unstable; urgency=medium

  * Adopt package (Closes: #748256)
  * Tidy up description: (Closes: #582053)

 -- Wookey <wookey@debian.org>  Tue, 10 Jun 2014 03:00:47 +0100

jed (1:0.99.19-2.1) unstable; urgency=low

  * Non-maintainer upload.

  [ peter green ]
  * Make debian/rules pass in the include and library paths of the multi-arched
    slang and make it strip the rpaths out of the built executables. Also add
    appropriate build-dependencies (multiarch slang, dpkg-dev that supports
    multiarch variables and chrpath).
    (Closes: #640319)

 -- gregor herrmann <gregoa@debian.org>  Sat, 24 Dec 2011 14:22:36 +0100

jed (1:0.99.19-2) unstable; urgency=low

  * Dropped install-info from the Depends field of jed and xjed. This
    package is needed by jed-common and pulled in via dh_installinfo.

  * Removed Rafael Laboissiere from the list of uploaders, because he
    left the Debian project. (closes: #571826)

  * Bumped Standards-Version to 3.8.4; no changes needed.

  * Added debian/source/format to the source package. We still use
    format version 1.0, because we use dpatch with the script patch
    config.guess+sub.

 -- Jörg Sommer <joerg@alea.gnuu.de>  Mon, 5 Apr 2010 19:42:14 +0200

jed (1:0.99.19-1) unstable; urgency=low

  * New upstream release

  * Better detection of non-linux architectures. (closes: #559063)

  * Change dependency of jed and xjed on jed-common to exact version
    to satisfy recommendation of Policy 2.5 regarding optional
    packages.

  * Drop conflict with jed-extra <= 2.3.2-3, stable version is newer
    than this.

  * Drop control fields for jed-sl replacement.

 -- Jörg Sommer <joerg@alea.gnuu.de>  Mon, 14 Dec 2009 11:48:59 +0100

jed (1:0.99.19~pre210-1) unstable; urgency=low

  * This packages is based on the svn snapshot from
    https://svn.gna.org/svn/jed/trunk
    + 0.99.19pre207 improved scrolling (Closes: #306223)

  * Removed obsolate patches:
    + fix-multi-key -- applied upstream 0.99.19pre205
    + slang2        -- applied modified upstream 0.99.19pre206

  * Reimported the info files from the upstream source. They were removed
    in 0.99.18.dfsg.1-1, because the files in info/ contained a comment,
    sayin they were generatend and hence not the preferred form for
    modifications. This was a violation of the GPL. Now, upstream removed
    this comment and made the files in info/ the preferred form for
    modifications. For an upcoming upstream release we don't have to
    modify the tarball and don't have to add dfsg to the version.

  * Merged changes from 1:0.99.18+dfsg.1-12 and 1:0.99.18+dfsg.1-13.
    Because development of the 0.99.18 branch ended, 1:0.99.18+dfsg.1-13
    stays unreleased.

  * Dropped the workaround for stale config files left in /etc by dpkg
    (#108587) on an upgrade from older version of jed-common. As the
    version in lenny doesn't contain any of these old config files, we
    don't need this fix anymore. This made also the debconf question
    obsolate.

  * Droppend jed-common's dependency on debconf, because we don't use it
    anymore.

  * Droppend jed-common's dependency on findutils, because the current
    version in stable is recent enough and essential.

  * Removed the jed-common.preinst script (added in 1:0.99.18+dfsg.1-9),
    because an upgrade from the current stable version doesn't need this
    fix anymore.

  * Removed lintian override for spelling-error-in-readme-debian,
    because this error doesn't exist anymore.

  * New dpatch improve-info-files to add INFO-DIR-SECTION and
    INFO-DIR-ENTRY to info pages.

  * Removed debian/info-dir from the source, because it's not used
    anymore due to the changes in this version.

  * Removed get-orig-source. We have a watch file.

  * Bumped Standards-Version to 3.8.3; no changes needed.

  * Removed obsolate files: README.Maintainer, {x,}jed.preinst,
    jed-common.postrm

  * This version should go into unstable, because the code of 0.99.18
    (current unstable) is very old and the development of jed moved on
    in 0.99.19. The code is stable and we should push this code to our
    main users (those of unstable and any time later stable).

 -- Jörg Sommer <joerg@alea.gnuu.de>  Sat, 21 Nov 2009 23:10:27 +0100

jed (1:0.99.19~pre175-1) experimental; urgency=low

  * New upstream release

  * Merged changes from 1:0.99.18+dfsg.1-11.

  * Removed the dpatch for gpm and xft support and use the new configure
    options.


