=== debian/control ===
Source: jed
Section: editors
Priority: optional
Maintainer: Wookey <wookey@debian.org>
# Need major rules revamp to move this forward
Standards-Version: 3.9.8
Build-Depends-Indep: hevea
Build-Depends: debhelper, debhelper-compat (=11),
 libxft-dev, libgpm-dev [linux-any], autoconf,
 libxt-dev, pkg-config, slsh,
 libslang2-dev, chrpath
Homepage: http://www.jedsoft.org/jed/
Vcs-Git: https://salsa.debian.org/debian/jed.git
Vcs-Browser: https://salsa.debian.org/debian/jed
Rules-Requires-Root: no

Package: jed
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, jed-common (= ${source:Version})
Suggests: gpm [linux-any]
Provides: info-browser, mail-reader, editor
Description: editor for programmers (textmode version)
 Jed is a small, fast and powerful text editor, yet starts faster than 
 bash.
 .
 Completely customizable with prepared emulation modes for Emacs, CUA
 (similar to KDE/Gnome/OpenOffice), Borland-IDE, Brief, and EDT. Extensible
 in the S-Lang scripting language (with a syntax resembling C).
 .
 Editing functions: folding support, rectangular cut/paste, regular
 expression search/replace, incremental searches, search/replace across
 multiple files, multiple windows, multiple buffers, ...
 .
 Tools: directory editor (dired), info (browse GNU info files), mail,
 rmail, ispell, shell mode, ...
 .
 Special modes (syntax highlight, indention, compile, ...) for
 Basic, C, C++, DCL, FORTRAN, IDL, Java, nroff, Pascal, Perl, PHP, 
 PostScript, Python, sh.  Modes for markup languages include HTML and 
 (La)TeX (with AUC-TeX style editing and BibTeX)
 .
 Additional tools and modes can be found in the jed-extra package.

Package: xjed
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, jed-common (= ${source:Version})
Provides: info-browser, mail-reader, editor
Description: editor for programmers (x11 version)
 Jed is a small, fast (faster startup than xterm with bash),
 and powerful text editor.
 .
 Completely customizable with prepared emulation modes for Emacs, CUA
 (similar to KDE/Gnome/Openoffice), Borland-IDE, Brief, and EDT. Extensible
 in the S-Lang scripting language (with a syntax resembling C).
 .
 Editing functions: folding support; rectangular cut/paste; regular
 expression search/replace; incremental searches; search/replace across
 multiple files; multiple windows; multiple buffers; ...
 .
 Special modes (syntax highlight, indention, compile, ...) for
 Basic, C, C++, DCL, FORTRAN, IDL, Java, NROFF, Pascal,
 Perl, PHP, PostScript, Python, SH.
 Modes for markup languages include HTML and (La)TeX (with AUC-TeX style
 editing and BibTeX)
 .
 Tools: directory editor (dired); info (browse GNU info files); mail;
 rmail; ispell; shell mode; ...
 .
 The native X11 version provides improved mouse support, key configuration
 and X selection interaction. If no display is available, xjed falls back to
 text mode, thus there is no need to install both jed and xjed packages.
 .
 Additional tools and modes can be found in the jed-extra package.

Package: jed-common
Architecture: all
Recommends: jed | xjed
Suggests: info | info-browser
Depends: ${misc:Depends}, slsh
Description: S-Lang runtime files for jed and xjed
 Jed is a small, fast and powerful text editor.
 .
 This package provides the S-Lang runtime files that are needed by both
 jed and xjed.
