=== debian/watch ===
version=3
opts=pasv,uversionmangle=s/-/./ \
  ftp://space.mit.edu/pub/davis/jed/v0.99/ jed-(.*)\.tar\.gz
