## jed 0.99.20~pre.158%2Bdfsg

=== debian/watch ===
version=4
opts="uversionmangle=s/-/~pre./,	\
      dversionmangle=s/\+dfsg$//,	\
      repacksuffix=+dfsg"		\
  https://www.jedsoft.org/snapshots/ https://www.jedsoft.org/snapshots/jed-pre(.*).tar.gz
