## jed 0.99.20~pre.158+dfsg

=== debian/changelog ===
jed (1:0.99.20~pre.158+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.158+dfsg
  * Drop patches (applied upstream):
    + d/p/check-for-lib-terminfo.patch
    + d/p/whatbuf-documentation.patch
    + d/p/iso2xxx-sl-utf-8.patch
    + d/p/backquote-insert-command.patch
  * Refresh patches for new upstream version
    + d/p/deprecated-autoconf-macros.patch
    + d/p/improve-info-files.patch
    + d/p/jed-manpage.patch
    + d/p/spelling-errors.patch
  * Install upstream desktop files
    + d/desktop/{x,}jed.{desktop,svg}: Drop files
    + d/{x,}jed.install: Adjust installation paths
    + d/s/lintian-overrides: Drop Lintian override

 -- Rafael Laboissière <rafael@debian.org>  Wed, 15 Dec 2021 19:02:59 -0300

jed (1:0.99.20~pre.152+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.152+dfsg
  * d/clean: Remove letf-over directory autoconf/autoconf/

 -- Rafael Laboissière <rafael@debian.org>  Wed, 20 Oct 2021 06:01:21 -0300

jed (1:0.99.20~pre.151+dfsg-3) unstable; urgency=medium

  * Make the backquote key just insert the backquote character
    + d/p/backquote-insert-command.patch: New patch
    + d/README.Debian: Document this change
    (Closes: #765373)

 -- Rafael Laboissière <rafael@debian.org>  Sun, 26 Sep 2021 05:48:11 -0300

jed (1:0.99.20~pre.151+dfsg-2) unstable; urgency=medium

  * Ensure that binary-arch and binary-indep builds work
    + debian/rules: Increase control in -arch and -indep rules
    + d/jed-common.install: Install d/compile manually
    + d/jed.manpages: Install man page from doc/manual directory
    + d/xjed.manpages: Ditto

 -- Rafael Laboissière <rafael@debian.org>  Sat, 25 Sep 2021 09:16:38 -0300

jed (1:0.99.20~pre.151+dfsg-1) unstable; urgency=medium

  [ Rafael Laboissière ]
  * New upstream version 0.99.20~pre.151+dfsg
  * d/copyright: Convert to DEP-5 format
  * Use snapshot upstream releases (Closes: #923692)
  * Drop prebuilt Windows binaries from upstream tarball
    + d/copyright: List the bin/w32/*.exe in Files-Excluded
    + d/watch: Repack the tarball with "+dfsg" suffix in upstream version
  * Use dh sequencer
    + d/rules: Fully revamp the building rules
    + d/clean: New file
    + d/jed-common.docs: New file
    + d/jed-common.examples: New file
    + d/jed-common.info: New file
    + d/jed-common.install: New file
    + d/jed-common.links: New file
    + d/jed.install: New file
    + d/jed.manpages: New file
    + d/xjed.install: New file
    + d/xjed.manpages: New file
    + d/autoreconf.{before,after}: Removed files
    + d/s/options: New file
    + debian/{jed,xjed}.desktop: Moved into debian/desktop/
    + debian/desktop/{jed,xjed}.svg: New icons
  * d/control:
    + Bump Standards-Version to 4.6.0 (no changes needed)
    + Bump Debhelper compatibility level to 13
    + Add myself as an Uploader
  * d/u/metadata: New file
  * Add autopkgtest support
  * Do not install doc/README
  * New patches:
    + d/p/deprecated-autoconf-macros.patch
    + d/p/whatbuf-documentation.patch
    + d/p/iso2xxx-sl-utf-8.patch
    + d/p/fix-spelling-errors.patch
    + d/s/lintian-overrides

  [ Debian Janitor ]
  * Use secure URI in Homepage field.

 -- Rafael Laboissière <rafael@debian.org>  Thu, 23 Sep 2021 01:59:42 -0300

jed (1:0.99.19-8.1) unstable; urgency=medium

  * Non-maintainer upload
  * Use mktemp instead of tempfile in the maintainer scripts
    (Closes: #979458, #979459)

 -- Rafael Laboissière <rafael@debian.org>  Wed, 25 Aug 2021 10:55:14 -0300
