=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: editors
 Priority: optional
 Maintainer: Wookey <wookey@debian.org>
-# Need major rules revamp to move this forward
-Standards-Version: 3.9.8
+Uploaders: Rafael Laboissière <rafael@debian.org>
+Standards-Version: 4.6.0
 Build-Depends-Indep: hevea
-Build-Depends: debhelper, debhelper-compat (=11),
+Build-Depends: debhelper, debhelper-compat (= 13),
  libxft-dev, libgpm-dev [linux-any], autoconf,
  libxt-dev, pkg-config, slsh,
  libslang2-dev, chrpath
-Homepage: http://www.jedsoft.org/jed/
+Homepage: https://www.jedsoft.org/jed/
 Vcs-Git: https://salsa.debian.org/debian/jed.git
 Vcs-Browser: https://salsa.debian.org/debian/jed
 Rules-Requires-Root: no
@@ -20,7 +20,7 @@
 Suggests: gpm [linux-any]
 Provides: info-browser, mail-reader, editor
 Description: editor for programmers (textmode version)
- Jed is a small, fast and powerful text editor, yet starts faster than 
+ Jed is a small, fast and powerful text editor, yet starts faster than
  bash.
  .
  Completely customizable with prepared emulation modes for Emacs, CUA
@@ -35,8 +35,8 @@
  rmail, ispell, shell mode, ...
  .
  Special modes (syntax highlight, indention, compile, ...) for
- Basic, C, C++, DCL, FORTRAN, IDL, Java, nroff, Pascal, Perl, PHP, 
- PostScript, Python, sh.  Modes for markup languages include HTML and 
+ Basic, C, C++, DCL, FORTRAN, IDL, Java, nroff, Pascal, Perl, PHP,
+ PostScript, Python, sh.  Modes for markup languages include HTML and
  (La)TeX (with AUC-TeX style editing and BibTeX)
  .
  Additional tools and modes can be found in the jed-extra package.
