## jed 0.99.20~pre.169+dfsg

=== debian/changelog ===
jed (1:0.99.20~pre.169+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.169+dfsg

 -- Rafael Laboissière <rafael@debian.org>  Sun, 21 Aug 2022 11:48:47 -0300

jed (1:0.99.20~pre.168+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.168+dfsg

 -- Rafael Laboissière <rafael@debian.org>  Sun, 07 Aug 2022 17:08:25 -0300

jed (1:0.99.20~pre.167+dfsg-2) unstable; urgency=medium

  * Overhaul the mechanism for byte-compilation of *.sl files at install time
    + d/{postinst,prerm,triggers}.in: New template files
    + d/rules: Generate {jed,xjed}.{postinst,prerm,triggers} form the template
      files {postinst,prerm,triggers}.in
    + d/clean: Remove the {jed,xjed}.{postinst,prerm,triggers} files that
      are automatically generated by debian/rules
    + d/control: Drop the relationship "Recommends: jed|xjed" for jed-common
    + d/{jed-common,jed,xjed}.{postinst.prerm}: Drop obsolete files
    + d/NEWS: Document the changes
  * d/jed-common.lintian-overrides: Add override for Lintian warning
    package-contains-documentation-outside-usr-share-doc

 -- Rafael Laboissière <rafael@debian.org>  Sat, 30 Jul 2022 04:35:09 -0300

jed (1:0.99.20~pre.167+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.167+dfsg

 -- Rafael Laboissière <rafael@debian.org>  Sat, 25 Jun 2022 10:45:00 -0300

jed (1:0.99.20~pre.160+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.160+dfsg
  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Tue, 07 Jun 2022 06:31:37 -0300

jed (1:0.99.20~pre.159+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.159+dfsg
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissière <rafael@debian.org>  Wed, 02 Mar 2022 03:43:54 -0300
