=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Wookey <wookey@debian.org>
 Uploaders: Rafael Laboissière <rafael@debian.org>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Build-Depends-Indep: hevea
 Build-Depends: debhelper, debhelper-compat (= 13),
  libxft-dev, libgpm-dev [linux-any], autoconf,
@@ -74,7 +74,6 @@
 
 Package: jed-common
 Architecture: all
-Recommends: jed | xjed
 Suggests: info | info-browser
 Depends: ${misc:Depends}, slsh
 Description: S-Lang runtime files for jed and xjed
