=== debian/rules ===
--- 
+++ 
@@ -97,3 +97,16 @@
 
 execute_after_dh_auto_test-arch:
 	$(MAKE) -C src runtests
+
+execute_before_dh_installdeb:
+	for p in jed xjed ; do							\
+	    priority_editor=$$(test $$p = jed && echo 42 || echo 35) ;		\
+	    priority_jed_script=$$(test $$p = jed && echo 50 || echo 40) ;	\
+	    for s in prerm postinst ; do					\
+	        sed "s/#PROG#/$$p/g;						\
+		     s/#PRIORITY-EDITOR#/$$priority_editor/g;			\
+		     s/#PRIORITY-JED-SCRIPT#/$$priority_jed_script/g;"		\
+	            < $(debdir)/$$s.in > $(debdir)/$$p.$$s ;			\
+	    done ;								\
+	    cp $(debdir)/triggers.in $(debdir)/$$p.triggers ;			\
+	done
