## jed 0.99.20~pre.178+dfsg

=== debian/changelog ===
jed (1:0.99.20~pre.178+dfsg-6) unstable; urgency=medium

  * d/*.maintscript: Add epoch to the version number in symlink_to_dir setting.
    The version in the {jed,xjed}.maintscript files is bumped to
    1:0.99.20~pre.178+dfsg-6~, such that the cleanup is performed on both
    upgrades from stable to testing (missed cleanup) and from testing to
    unstable (fixed cleanup).
    Thanks to Andreas Beckmann for spotting the problem and suggesting its solution.
    (Closes: #1036096)

 -- Rafael Laboissière <rafael@debian.org>  Thu, 25 May 2023 04:40:36 -0300

jed (1:0.99.20~pre.178+dfsg-5) unstable; urgency=medium

  * Add files d/{jed,xjed}.maintscript.
    These files allow the smooth transition for /usr/share/doc/{jed,xjed},
    which were symlinks before version 0.99.20~pre.151+dfsg-1 and are now
    real directories. (Closes: #1036096)

 -- Rafael Laboissière <rafael@debian.org>  Tue, 16 May 2023 14:19:52 -0300

jed (1:0.99.20~pre.178+dfsg-4) unstable; urgency=medium

  * d/jed-common.preinst: Avoid non-fatal abortion of the script.
    Thanks to Axel Beckert for the fix (Closes: #1035839)

 -- Rafael Laboissière <rafael@debian.org>  Wed, 10 May 2023 01:20:42 -0300

jed (1:0.99.20~pre.178+dfsg-3) unstable; urgency=medium

  * Fix upgrade of jed-common (closes: #1035780)

    The previous version, which tried to fix Bug#1035692, messed up
    with the directory /usr/share/doc/jed-common/txt. This directory
    is not really needed and has been removed, with all filesit
    contained being kept in /usr/share/jed/doc/txt/. This version
    should allow a smooth transition of jed-common from both bullseye
    (version 0.99.19-8) and testing (version 0.99.20~pre.178+dfsg-1)
    into bookworm.

    + d/clean: Restore previous version
    + d/jed-common.links: Reintroduce this file (for symlink etc/jed.d/README)
    + d/jed-common.maintscript: Remove file
    + d/rules: Keep files in /usr/share/jed/doc/txt
    + d/jed-common.preinst: Remove obsolete directory
      /usr/share/doc/jed-common/txt

 -- Rafael Laboissière <rafael@debian.org>  Tue, 09 May 2023 08:42:07 -0300

jed (1:0.99.20~pre.178+dfsg-2) unstable; urgency=medium

  * Avoid installing the *.txt help file over a directory symlink
    (closes: #1035692)
    + d/jed-common.maintscript: Add symlink_to_dir command for the
      directory /usr/share/jed/doc/txt
    + d/jed-common.links: Removed file
    + d/rules: Create file d/jed-common.links by adding individual
      symbolic links /usr/share/jed/doc/txt/*.txt point to the files in
      /usr/share/doc/jed-common/txt/
    + d/clean: Remove the file d/jed-common.links

 -- Rafael Laboissière <rafael@debian.org>  Mon, 08 May 2023 12:19:26 -0300

jed (1:0.99.20~pre.178+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.178+dfsg
  * d/copyright: Reflect upstream changes
  * d/control: Bump Standards-Version to 4.6.2 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Tue, 10 Jan 2023 15:10:00 -0300

jed (1:0.99.20~pre.177+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.177+dfsg

 -- Rafael Laboissière <rafael@debian.org>  Thu, 05 Jan 2023 14:13:21 -0300

jed (1:0.99.20~pre.173+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.173+dfsg
  * d/copyright: Exclude files src/mkfiles/mkmake*.exe
  * d/watch: Generalize dversionmangle for +dfsg[0-9]* tarballs

 -- Rafael Laboissière <rafael@debian.org>  Thu, 29 Dec 2022 13:50:37 -0300

jed (1:0.99.20~pre.172+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.172+dfsg

 -- Rafael Laboissière <rafael@debian.org>  Tue, 20 Dec 2022 18:54:27 -0300

jed (1:0.99.20~pre.170+dfsg-2) unstable; urgency=medium

  * Delete all generated files at install/remove-time
    + d/compile: Drop code for removal of generated files
    + d/postinst.in: Add code for removal of generated files
    + d/NEWS: Document this change

 -- Rafael Laboissière <rafael@debian.org>  Tue, 13 Dec 2022 09:40:23 -0300

jed (1:0.99.20~pre.170+dfsg-1) unstable; urgency=medium

  [ Rafael Laboissière ]
  * New upstream version 0.99.20~pre.170+dfsg

  [ Debian Janitor ]
  * Apply multi-arch hints. + jed-common: Add Multi-Arch: foreign.

 -- Rafael Laboissière <rafael@debian.org>  Tue, 15 Nov 2022 21:29:01 -0300
