=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Wookey <wookey@debian.org>
 Uploaders: Rafael Laboissière <rafael@debian.org>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Build-Depends-Indep: hevea
 Build-Depends: debhelper, debhelper-compat (= 13),
  libxft-dev, libgpm-dev [linux-any], autoconf,
@@ -76,6 +76,7 @@
 Architecture: all
 Suggests: info | info-browser
 Depends: ${misc:Depends}, slsh
+Multi-Arch: foreign
 Description: S-Lang runtime files for jed and xjed
  Jed is a small, fast and powerful text editor.
  .
