## jed 0.99.20~pre.180+dfsg

=== debian/changelog ===
jed (1:0.99.20~pre.180+dfsg-2) unstable; urgency=medium

  * Upload to unstable

 -- Rafael Laboissière <rafael@debian.org>  Tue, 13 Jun 2023 03:57:53 -0300

jed (1:0.99.20~pre.180+dfsg-1) experimental; urgency=medium

  * New upstream version 0.99.20~pre.180+dfsg
  * d/jed-common.lintian-overrides: Add override for Litian warning
    package-contains-documentation-outside-usr-share-doc

 -- Rafael Laboissière <rafael@debian.org>  Mon, 29 May 2023 06:47:01 -0300

jed (1:0.99.20~pre.179+dfsg-1) experimental; urgency=medium

  * New upstream version 0.99.20~pre.179+dfsg
  * Uploaded to experimental, since the bookworm freeze started

 -- Rafael Laboissière <rafael@debian.org>  Wed, 15 Feb 2023 09:04:21 -0300
