## jed 0.99.20~pre.181+dfsg

=== debian/changelog ===
jed (1:0.99.20~pre.181+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.181+dfsg
  * d/copyright: Reflect upstream changes
  * d/p/deprecated-autoconf-macros.patch: Fix line numbers in patch
  * d/control: Build-depend on pkgconf, instead of on the deprecated
    pkg-config

 -- Rafael Laboissière <rafael@debian.org>  Wed, 20 Mar 2024 11:07:47 -0300
