=== debian/control ===
--- 
+++ 
@@ -5,10 +5,16 @@
 Uploaders: Rafael Laboissière <rafael@debian.org>
 Standards-Version: 4.6.2
 Build-Depends-Indep: hevea
-Build-Depends: debhelper, debhelper-compat (= 13),
- libxft-dev, libgpm-dev [linux-any], autoconf,
- libxt-dev, pkg-config, slsh,
- libslang2-dev, chrpath
+Build-Depends: autoconf,
+               chrpath,
+               debhelper,
+               debhelper-compat (= 13),
+	       libgpm-dev [linux-any],
+               libslang2-dev,
+               libxft-dev,
+               libxt-dev,
+	       pkgconf,
+	       slsh
 Homepage: https://www.jedsoft.org/jed/
 Vcs-Git: https://salsa.debian.org/debian/jed.git
 Vcs-Browser: https://salsa.debian.org/debian/jed
