## jed 0.99.20~pre.183+dfsg

=== debian/changelog ===
jed (1:0.99.20~pre.183+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.183+dfsg
  * d/control: Bump Standards-Version to 4.7.0 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Fri, 20 Sep 2024 13:19:15 -0300
