## jed 0.99.20~pre.186+dfsg

=== debian/changelog ===
jed (1:0.99.20~pre.186+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.186+dfsg

 -- Rafael Laboissière <rafael@debian.org>  Wed, 08 Jan 2025 09:58:32 -0300
