=== debian/changelog ===
jed (1:0.99.20~pre.189+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.189+dfsg

 -- Rafael Laboissière <rafael@debian.org>  Sun, 02 Feb 2025 06:07:25 -0300

jed (1:0.99.20~pre.188+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.188+dfsg

 -- Rafael Laboissière <rafael@debian.org>  Tue, 28 Jan 2025 11:56:23 -0300

jed (1:0.99.20~pre.187+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.187+dfsg
  * d/copyright: Update list of Copyright years

 -- Rafael Laboissière <rafael@debian.org>  Sat, 25 Jan 2025 03:48:06 -0300
