=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Wookey <wookey@debian.org>
 Uploaders: Rafael Laboissière <rafael@debian.org>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Build-Depends-Indep: hevea
 Build-Depends: autoconf,
                chrpath,
