## jed 0.99.20~pre.193+dfsg

=== debian/changelog ===
jed (1:0.99.20~pre.193+dfsg-1) experimental; urgency=medium

  * New upstream version 0.99.20~pre.193+dfsg
  * d/control: Bump Standards-Version to 4.7.2 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 May 2025 09:39:44 -0300
