## jed 0.99.20~pre.197%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,6 @@
 Homepage: https://www.jedsoft.org/jed/
 Vcs-Git: https://salsa.debian.org/debian/jed.git
 Vcs-Browser: https://salsa.debian.org/debian/jed
-Rules-Requires-Root: no
 
 Package: jed
 Architecture: any
