## jed 0.99.20~pre.197+dfsg

=== debian/changelog ===
jed (1:0.99.20~pre.197+dfsg-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream version 0.99.20~pre.197+dfsg
  * d/control: Drop “Rules-Requires-Root: no”, which is now the default

 -- Rafael Laboissière <rafael@debian.org>  Sun, 07 Sep 2025 03:24:35 -0300
