=== debian/watch ===
version=4
opts="uversionmangle=s/-/~pre./,	\
      dversionmangle=s/\+dfsg[0-9]*$//,	\
      repacksuffix=+dfsg"		\
  https://www.jedsoft.org/snapshots/ https://www.jedsoft.org/snapshots/jed-pre(.*).tar.gz
