=== debian/changelog ===
jed (1:0.99.20~pre.198+dfsg-2) unstable; urgency=medium

  * d/p/test-expand-trailing-slash-in-home.patch: New patch
  * d/rules: Drop workaround for unusual $HOME value

 -- Rafael Laboissière <rafael@debian.org>  Fri, 14 Nov 2025 13:06:23 -0300

jed (1:0.99.20~pre.198+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.198+dfsg
  * d/watch: Convert to format version 5
  * d/salsa-ci.yml: Add CI pipeline configuration
  * d/rules: Fix reprotest failure due to malfunctioning unit test

 -- Rafael Laboissière <rafael@debian.org>  Thu, 13 Nov 2025 08:21:48 -0300
