=== debian/rules ===
--- 
+++ 
@@ -83,7 +83,6 @@
 
 execute_after_dh_installdocs-indep:
 	# Fix package-contains-documentation-outside-usr-share-doc
-	mv $(docdir)/txt $(shrdir)/doc/jed-common
 	rm -f $(jeddir)/lib/colors/README
 
 override_dh_compress:
