=== debian/watch ===
Version: 5

Source: https://www.jedsoft.org/snapshots/
Matching-Pattern: https://www.jedsoft.org/snapshots/jed-pre@ANY_VERSION@@ARCHIVE_EXT@
Dversionmangle: s/\+dfsg[0-9]*$//
Repacksuffix: +dfsg
Uversionmangle: s/-/~pre./
