## jed 0.99.20~pre.199+dfsg

=== debian/changelog ===
jed (1:0.99.20~pre.199+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.199+dfsg
  * d/p/test-expand-trailing-slash-in-home.patch: Drop patch (applied upstream)

 -- Rafael Laboissière <rafael@debian.org>  Sun, 16 Nov 2025 07:24:32 -0300
