## jed 0.99.20~pre.201+dfsg

=== debian/changelog ===
jed (1:0.99.20~pre.201+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.20~pre.201+dfsg.
    This version fixes a bug of scrolling of the window, when it is updated
    (closes: 1124550).

 -- Rafael Laboissière <rafael@debian.org>  Thu, 15 Jan 2026 16:40:30 +0000
